﻿using CommunityToolkit.Mvvm.ComponentModel;
using MVVMwithWPF.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVMwithWPF.ViewModels
{
    public partial class ConverterViewModel : ObservableObject
    {
        [ObservableProperty]
        private ObservableCollection<Person> _person;

        [ObservableProperty]
        private bool _isEdit;

        public ConverterViewModel()
        {
            Person = new ObservableCollection<Person>()
            {
                new Person() { Id = 1, Name = "user001", Sex = true, DepartmentCode = "01"},
                new Person() { Id = 2, Name = "user002", Sex = false, DepartmentCode = "02"},
                new Person() { Id = 3, Name = "user003", Sex = true, DepartmentCode = "03"},
                new Person() { Id = 4, Name = "user004", Sex = false, DepartmentCode = "02"},
                new Person() { Id = 5, Name = "user005", Sex = true, DepartmentCode = "01"},
            };
        }
    }
}
