﻿using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace MVVMwithWPF.ViewModels
{
    public partial class BehaviorViewModel : ObservableObject
    {

        [ObservableProperty]
        private string _name;

        [ObservableProperty]
        private string _phone;

        [ObservableProperty]
        private string _email;

        [ObservableProperty]
        private string _address;

        [ObservableProperty]
        private string _company;

        [ObservableProperty]
        private string _description;

        [RelayCommand]
        private void Enter()
        {
            MessageBox.Show("Enter키를 입력했습니다.");
        }

        [RelayCommand]
        private void Send()
        {
            MessageBox.Show($"Name: {Name}{Environment.NewLine}Phone: {Phone}{Environment.NewLine}Email: {Email}{Environment.NewLine}", "알림");
        }
    }
}
